/**
 * Copyright 2010 The Regents of the University of California
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on
 * an "AS IS"; BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 * KIND, either express or implied.  See the License for the
 * specific language governing permissions and limitations under
 * the License.
 * 
 * Author: Rares Vernica <rares (at) ics.uci.edu>
 */

package edu.uci.ics.hadoop.fuzzyjoin;

import org.apache.hadoop.io.RawComparator;
import org.apache.hadoop.io.WritableComparator;

public class IntTripleComparatorFirstSecond implements
        RawComparator<IntTripleWritable> {

    public int compare(byte[] b1, int s1, int l1, byte[] b2, int s2, int l2) {
        int c = WritableComparator.compareBytes(b1, s1, 4, b2, s2, 4);
        if (c != 0) {
            return c;
        }
        return WritableComparator.compareBytes(b1, s1 + 4, 4, b2, s2 + 4, 4);
    }

    public int compare(IntTripleWritable o1, IntTripleWritable o2) {
        int c = IntPairComparatorFirst.compareInt(o1.getFirst(), o2.getFirst());
        if (c != 0) {
            return c;
        }
        return IntPairComparatorFirst
                .compareInt(o1.getSecond(), o2.getSecond());
    }

}
